/* quicksand-300 - latin */
@font-face {
  font-display: swap;
  font-family: 'Quicksand';
  font-style: normal;
  font-weight: 300;
  src: url('fonts/quicksand-v36-latin-300.woff2') format('woff2');
}

/* quicksand-regular - latin */
@font-face {
  font-display: swap;
  font-family: 'Quicksand';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/quicksand-v36-latin-regular.woff2') format('woff2');
}

/* quicksand-500 - latin */
@font-face {
  font-display: swap;
  font-family: 'Quicksand';
  font-style: normal;
  font-weight: 500;
  src: url('fonts/quicksand-v36-latin-500.woff2') format('woff2');
}

/* quicksand-600 - latin */
@font-face {
  font-display: swap;
  font-family: 'Quicksand';
  font-style: normal;
  font-weight: 600;
  src: url('fonts/quicksand-v36-latin-600.woff2') format('woff2');
}

/* quicksand-700 - latin */
@font-face {
  font-display: swap;
  font-family: 'Quicksand';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/quicksand-v36-latin-700.woff2') format('woff2');
}

/* pt-sans-narrow-regular - latin */
@font-face {
  font-display: swap;
  font-family: 'PT Sans Narrow';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/pt-sans-narrow-v18-latin-regular.woff2') format('woff2');
}

/* pt-sans-narrow-700 - latin */
@font-face {
  font-display: swap;
  font-family: 'PT Sans Narrow';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/pt-sans-narrow-v18-latin-700.woff2') format('woff2');
}

/* Можно оставить, дублирование с header.css не критично */
body {
  font-family: 'Quicksand', sans-serif;
}

footer {
  background-color: #f0f0f0;
  padding: 20px;
  color: #333;
  font-size: 0.9rem;
}

.footer-container {
  display: flex;
  flex-direction: column; /* Мобилка — в колонку */
  gap: 20px;
}

/* Логотип + текст в футере */
.footer-logo {
  display: flex;
  align-items: center;
  text-align: start;
}

/* ВАЖНО: только в футере! чтобы не ломать header */
footer .logo-text {
  flex: 5;
  font-size: clamp(0.9rem, 1vw, 1.3rem);
  padding-left: 10px;
}

.footer-logo img {
  max-width: 5rem;
  height: auto;
  margin-bottom: 10px;
}

/* Соцсети в футере */
.footer-social {
  display: flex;
  justify-content: center;
  gap: 10px;
}

.footer-social a {
  width: 25px;
  height: 25px;
  background-color: #FD7F28;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 45%;
  transition: background-color 0.3s ease;
  color: #fff;
}

.footer-social a svg {
  width: 60%;
  height: 60%;
  color: #fff;
}

.footer-social a:hover {
  background-color: #FFA50080;
}

/* Навигация в футере */
.footer-nav ul {
  font-weight: 700;
  padding: 0;
  margin: 0;
  text-align: center;
}

.footer-nav li {
  margin-bottom: 10px;
}

.footer-nav a {
  color: #333;
  text-decoration: none;
}

.footer-nav a:hover {
  text-decoration: underline;
}

/* Контакты в футере */
.footer-contacts {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  text-align: center;
}

.footer-contacts .contact-phone,
.footer-contacts .contact-email,
.footer-contacts .contact-address {
  display: flex;
  align-items: center;
  gap: 5px;
}

.footer-contacts img {
  width: 20px;
  height: 20px;
}

.footer-contacts a {
  color: #000;
  text-decoration: none;
  font-size: clamp(0.7rem, 2vw, 1.1rem);
  font-weight: 500;
}

.footer-contacts a:hover {
  text-decoration: underline;
}

/* Десктопная сетка футера */
@media (min-width: 60em) {
  .footer-container {
    flex-direction: row;
    justify-content: space-around;
    align-items: flex-start;
  }

  .footer-logo {
    text-align: left;
    flex-basis: 25%;
  }

  .footer-social {
    margin-left: 5vh;
    margin-top: 10px;
  }

  .footer-nav {
    flex-basis: 25%;
    text-align: left;
  }

  .footer-contacts {
    flex-basis: 25%;
    align-items: flex-start;
    text-align: left;
  }
}
